четверг, 16 мая 2013 г.

FlylinkDC++ r502-beta79 build 13945

Доступно в автообновлении или по http
http://www.fly-server.ru/install/r5xx/beta 

SetupFlylinkDC-x64-r502-beta.exe
SetupFlylinkDC-x86-r502-beta.exe

SetupFlylinkDC-x86-x64-r502-beta.exe


* (Closed Issue 1034): Баг с пустыми окнами личных сообщений
  https://code.google.com/p/flylinkdc/issues/detail?id=1034
* (Started Issue 1032) Уведомлять пользователя о том, что он использует не поддерживаемую версию ОС 

  https://code.google.com/p/flylinkdc/issues/detail?id=1032
  Подробнее о совместимых версиях ОС можно почитать тут http://flylinkdc.com/dokuwiki/doku.php?id=ru:outdatedoperatingsystem
* Оптимизация обмена с fly-server-ом

16 комментариев:

Анонимный комментирует...

Хотел бы узнать в инсталлере поставили запрет на то, чтобы флай не ставился на версию, ниже чем XP SP3?

PS. BlackRiderUA

Artem BlackRiderUA комментирует...

Рекомендую для ветки r5xx, вообще запретить использование OS WINDOWS XP/VISTA (как установщиком, так и самой программой и программой обновления), смысл тогда ветки r4xx? вот ее и следует использовать для Windows XP SP3\Vista SP2

Анонимный комментирует...

Seven тоже надо запреть, нечего на старье сидеть!

NightOrion комментирует...

Никаких запретов не планируется, давайте внесём ясность.
1032 ишуйка реализована для информирования пользователя о том что он использует устаревшую ОС и при возникновении проблем из-за этого мы не сможем ничем помочь.(анализ получаемых дампов падений говорит о том что до сих пор используют Windows XP SP0, SP1 и SP2, а так же SP4 О_О)Единственное что мы планируем внедрить, это указание в обновлении минимально поддерживаемой ОС, это означает что в какой-то момент на ОС Windows XP программа всегда будет выдавать что нет новых версий в автообновлении. Но этот момент наступит ещё не скоро. по крайней мере не раньше, чем от полной поддержки этой ОС откажется производитель.
С нашей стороны мы постараемся поддерживать работу программы на Windows XP максимально долго, как это будет возможно.

Анонимный комментирует...

И как будет производиться это информирование? Путём терроризирования пользователя MessageBox`ами?

Алексей Соломин комментирует...

На всякий случай задумайтесь почему необходимо поставить обновления, вот данные с википедии о выходе последних SP к ныне поддерживаемым ОС от MS:

Последняя версия XP
5.1.2600.5687 Service Pack 3 — 21 апреля 2008 - 5 лет прошло.
Последняя версия Vista
6.0 (Build 6002.18005.090410-1830) Service Pack 2 (SP2) RTM — 25 мая 2009 - 4 года прошло.
Последняя версия 7
6.1 (Build 7601.17514.101119-1850) — 22 февраля 2011 - 2 года прошло.

НУ и ещё для тех, кто не любит обновления, советую почитать
Искренне удивляюсь людям, которые думают, что можно безопасно работать, а уж тем более ходить в интернет на годами не обновляемой ОС.

Алексей Соломин комментирует...

Информирование о работе в устаревшей версии ОС будет вестись тем же способом каким ведётся информировании о наличии несовместимого ПО

Pavel Pimenov комментирует...

Алексей, добавь галку к диалогу "Не предупреждать о старой версии более"

каждый раз выдавать диалог - издевательство над пользователями (многие вообще плохо понимают что такое винда и ее обновление).

Slippery Jim комментирует...

> Искренне удивляюсь людям, которые думают, что можно безопасно работать, а уж тем более ходить в интернет на годами не обновляемой ОС.

Я не думаю, а знаю и работаюб вероятно оттого, что знаю что делаю и руки - не из тазобедренной области. Это уповающие на "MS о нас заботится" скорее получат неожиданность жидкую в штаны - а у меня без переустановки более 5 лет (точнее просто не помню)

Tilk комментирует...

> Искренне удивляюсь людям, которые думают, что можно безопасно работать, а уж тем более ходить в интернет на годами не обновляемой ОС.

Абсолютно согласен с Slippery Jim - безопасность работы в интернете мало зависит от свежести обновлений.
В феврале этого года, напр, касперские выпустили такие обновления, что порядка 30% рабочих станций в корпорациях вообще перестали запускаться. Эта ситуация продолжается до сего дня. Исправили частично.
От MS подобное обновление (KB2823324) было в марте месяце (так же связанное с каспером). Его так же откатили и переиздали. Вот Вам и безопасность. Не ст0ит гнаться за свежаком...
8-ка вообще сырая. Дров нормальных на корпоративное железо днём с огнём, как говорится...

Tilk комментирует...

И вообще, искренне удивляюсь людям, которые думают о том, что можно безопасно работать, а уж тем более ходить в интернет на ОСях со свежими обновлениями...

Алексей Соломин комментирует...

Slippery Jim, Tilk
Это всё прекрасная риторика, у меня тоже системы годами работают, точнее даже не годами, а чаще всего до прекращения поддержки, ну или капитального обновления железа. К примеру сейчас основная рабочая машинка с Win 7 работает с августа 2009, а XP на старом домашнем сервере с июля 2005.
Веселухи с антиврусом вполне таки понятны - господа из Kaspersky Lab традиционно используют хаки, эксплуатирующие недокументированные особенности работы API хост системы, отсюда и глюки.
А работать в интернете со старыми осями, да и не только в интернете со старых осей небезопасно потому что они содержат в себе уже закрытые но ныне известные всему миру уязвимости. Вот вам пример с Conficer, цитирую:
Эпидемия стала возможной в результате того, что значительная часть пользователей оказалась подвержена уязвимостям, ранее устраненным критическими обновлениями MS08-067[2], MS08-068[3] и MS08-069[4].
Про всякие дыры закрывающие уязвимости, приводившие к исполнению кода при отображении иконки приложения в проводнике, или уязвимости, позволяющие удалённую эксплуатацию я вообще сейчас молчу.
Вот в такие моменты и выясняется, что является истинными причинами наличия зоопарка всякой дряни под Windows, а так же почему эта дрянь успешно работает.
А вообще - делайте, что хотите :)

Анонимный комментирует...

Не слушайте ни кого. XP ещё долго будет держаться (ждём SP4 в следующем году). Даже старинные корчи с мегагерцевыми процессорами с установленной XP и флайлинком хорошо работают. Много раз по просьбам ставил XP даже вместо семёрки на нетбуки и ноутбуки. И все были давольны, потому как всё работало быстро и как часы!

Tilk комментирует...

Алексей Соломин, угу, тупой холивар. Новые системы не в меньшей степени безопасны. Имею ввиду десктоп, разумеется. Вы вот, видно, рассылку SECURITY.NNOV не почитываете. Вон, восьмёру взять, например. Ошибки типа MS13-034 цветут буйным цветом.
Или ms13-028 Уязвимы все IE, с шестого включительно.
Вам знаком жизненный цикл уязвимостей? В большинстве случаев вначале "добрые" люди их используют под "стройки" и т.п., а потом уже после очередного "палева" исследуются, и пишутся патчи.
Дело не в обновах или новизне ОСи, а в концепции безопасности. Так что поскольку имеются системы, которыми пользуются, не ст0ит их списывать со счетов.

NightOrion комментирует...

Так что поскольку имеются системы, которыми пользуются, не ст0ит их списывать со счетов.

т.е. если где-то кто-то использует Windows 3.11 тоже предлагаете не списывать её со счетов и делать поддержку?

Алексей Соломин комментирует...

Tilk
Так я и не говорю, что нет не закрытых, но при этом опубликованных уязвимостей. Просто констатирую факт, что для XP SP2 или 7 без SP патчи вообще не выпускают.
Про 8 вообще отдельный разговор, ибо она откровенно сырая, и гораздо более достойна звания бета, нежели чем релиз. Ситуация с 8 до сих пор хуже чем после выхода Vista.